List fine-tuning jobs
curl --request GET \
--url https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"dataset": "<string>",
"datasetProvenance": {
"heldOutTasks": 0,
"revision": "<string>",
"splitSeed": 0,
"trainTasks": 0
},
"failure": {
"exitCode": 0,
"reason": "<string>"
},
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>",
"progress": {
"ingestErrors": 4503599627370495,
"lastEventAt": "2023-11-07T05:31:56Z",
"phase": "queued",
"phaseStartedAt": "2023-11-07T05:31:56Z",
"rollouts": {
"done": 4503599627370495,
"failed": 4503599627370495,
"queued": 4503599627370495,
"running": 4503599627370495,
"total": 4503599627370495
},
"split": "train",
"step": 0
},
"result": {
"checkpointPath": "<string>",
"tunedModel": "<string>"
},
"settings": {
"contextLength": 0,
"evalAttempts": 0,
"evalEvery": 0,
"evalSet": "quick",
"groupSize": 0,
"groupsPerBatch": 0,
"learningRate": 123,
"loraRank": 0,
"steps": 0,
"trainSet": "quick"
},
"startedAt": "2023-11-07T05:31:56Z",
"status": "queued",
"summary": {
"evalReward": {
"base": 123,
"final": 123
}
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>",
"total": 4503599627370495
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}Fine-tuning
List fine-tuning jobs
Available only to organizations enabled for fine-tuning; any other organization receives 400 invalid_request on every fine-tuning operation. Returns the organization’s fine-tuning jobs newest first, each with its progress and scores. total is always null: follow nextCursor until it is null.
GET
/
managed-agents
/
v2
/
fine-tuning-jobs
List fine-tuning jobs
curl --request GET \
--url https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"dataset": "<string>",
"datasetProvenance": {
"heldOutTasks": 0,
"revision": "<string>",
"splitSeed": 0,
"trainTasks": 0
},
"failure": {
"exitCode": 0,
"reason": "<string>"
},
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>",
"progress": {
"ingestErrors": 4503599627370495,
"lastEventAt": "2023-11-07T05:31:56Z",
"phase": "queued",
"phaseStartedAt": "2023-11-07T05:31:56Z",
"rollouts": {
"done": 4503599627370495,
"failed": 4503599627370495,
"queued": 4503599627370495,
"running": 4503599627370495,
"total": 4503599627370495
},
"split": "train",
"step": 0
},
"result": {
"checkpointPath": "<string>",
"tunedModel": "<string>"
},
"settings": {
"contextLength": 0,
"evalAttempts": 0,
"evalEvery": 0,
"evalSet": "quick",
"groupSize": 0,
"groupsPerBatch": 0,
"learningRate": 123,
"loraRank": 0,
"steps": 0,
"trainSet": "quick"
},
"startedAt": "2023-11-07T05:31:56Z",
"status": "queued",
"summary": {
"evalReward": {
"base": 123,
"final": 123
}
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>",
"total": 4503599627370495
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}